Node.Expression (Jasper Internal API Documentation)
Keywords: org.apache.jasper.compiler.Node.Expression class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class Node.Expression

    java.lang.Object
      org.apache.jasper.compiler.Node
          org.apache.jasper.compiler.Node.ScriptingElement
              org.apache.jasper.compiler.Node.Expression

All Implemented Interfaces:
  TagConstants

Enclosing class:
  org.apache.jasper.compiler.Node

public static class Node.Expression
extends Node.ScriptingElement

Represents an expression. Expressions in attributes are embedded in the attribute string and not here.

Nested Class Summary

Nested classes inherited from class org.apache.jasper.compiler.Node.ScriptingElement
`Node.AttributeDirective, Node.AttributeGenerator, Node.ChildInfo, Node.Comment, Node.CustomTag, Node.Declaration, Node.DoBodyAction, Node.ELExpression, Node.Expression, Node.FallBackAction, Node.ForwardAction, Node.GetProperty, Node.IncludeAction, Node.IncludeDirective, Node.InvokeAction, Node.JspAttribute, Node.JspBody, Node.JspElement, Node.JspOutput, Node.JspRoot, Node.JspText, Node.NamedAttribute, Node.Nodes, Node.PageDirective, Node.ParamAction, Node.ParamsAction, Node.PlugIn, Node.Root, Node.ScriptingElement, Node.Scriptlet, Node.SetProperty, Node.TagDirective, Node.TaglibDirective, Node.TemplateText, Node.UninterpretedTag, Node.UseBean, Node.VariableDirective, Node.Visitor`

Field Summary

Fields inherited from class org.apache.jasper.compiler.Node.ScriptingElement
`attrs, beginJavaLine, body, endJavaLine, localName, namedAttributeNodes, nonTaglibXmlnsAttrs, parent, qName, startMark, taglibAttrs, text`

Fields inherited from interface org.apache.jasper.compiler.TagConstants
`ATTRIBUTE_ACTION, ATTRIBUTE_DIRECTIVE_ACTION, BODY_ACTION, DECLARATION_ACTION, DIRECTIVE_ACTION, DOBODY_ACTION, ELEMENT_ACTION, EXPRESSION_ACTION, FALLBACK_ACTION, FORWARD_ACTION, GET_PROPERTY_ACTION, INCLUDE_ACTION, INCLUDE_DIRECTIVE_ACTION, INVOKE_ACTION, JSP_ATTRIBUTE_ACTION, JSP_ATTRIBUTE_DIRECTIVE_ACTION, JSP_BODY_ACTION, JSP_DECLARATION_ACTION, JSP_DOBODY_ACTION, JSP_ELEMENT_ACTION, JSP_EXPRESSION_ACTION, JSP_FALLBACK_ACTION, JSP_FORWARD_ACTION, JSP_GET_PROPERTY_ACTION, JSP_INCLUDE_ACTION, JSP_INCLUDE_DIRECTIVE_ACTION, JSP_INVOKE_ACTION, JSP_OUTPUT_ACTION, JSP_PAGE_DIRECTIVE_ACTION, JSP_PARAM_ACTION, JSP_PARAMS_ACTION, JSP_PLUGIN_ACTION, JSP_ROOT_ACTION, JSP_SCRIPTLET_ACTION, JSP_SET_PROPERTY_ACTION, JSP_TAG_DIRECTIVE_ACTION, JSP_TAGLIB_DIRECTIVE_ACTION, JSP_TEXT_ACTION, JSP_TEXT_ACTION_END, JSP_URI, JSP_USE_BEAN_ACTION, JSP_VARIABLE_DIRECTIVE_ACTION, OUTPUT_ACTION, PAGE_DIRECTIVE_ACTION, PARAM_ACTION, PARAMS_ACTION, PLUGIN_ACTION, ROOT_ACTION, SCRIPTLET_ACTION, SET_PROPERTY_ACTION, TAG_DIRECTIVE_ACTION, TAGLIB_DIRECTIVE_ACTION, TEXT_ACTION, URN_JSPTAGDIR, URN_JSPTLD, USE_BEAN_ACTION, VARIABLE_DIRECTIVE_ACTION`

Constructor Summary
`Node.Expression(java.lang.String qName, org.xml.sax.Attributes nonTaglibXmlnsAttrs, org.xml.sax.Attributes taglibAttrs, org.apache.jasper.compiler.Mark start, org.apache.jasper.compiler.Node parent)`
`Node.Expression(java.lang.String text, org.apache.jasper.compiler.Mark start, org.apache.jasper.compiler.Node parent)`

Method Summary
`void` | `accept(Node.Visitor v)`

Methods inherited from class org.apache.jasper.compiler.Node.ScriptingElement
`getAttributes, getAttributeValue, getBeginJavaLine, getBody, getEndJavaLine, getLocalName, getNamedAttributeNode, getNamedAttributeNodes, getNonTaglibXmlnsAttributes, getParent, getQName, getRoot, getStart, getTaglibAttributes, getText, getTextAttribute, isDummy, setAttributes, setBeginJavaLine, setBody, setEndJavaLine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Node.Expression

    public Node.Expression(java.lang.String text,
                           org.apache.jasper.compiler.Mark start,
                           org.apache.jasper.compiler.Node parent)

### Node.Expression

    public Node.Expression(java.lang.String qName,
                           org.xml.sax.Attributes nonTaglibXmlnsAttrs,
                           org.xml.sax.Attributes taglibAttrs,
                           org.apache.jasper.compiler.Mark start,
                           org.apache.jasper.compiler.Node parent)

Method Detail

### accept

    public void accept(Node.Visitor v)
                throws JasperException

  Parameters:
    `v` - The visitor class
  Throws:
    `JasperException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.